﻿<%@ Import Namespace="Seven.Front" %>
<%@ Import Namespace="Seven.Front.Globals" %>
<%@ Import Namespace="Seven.Front.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="AsignacionHabitaciones.aspx.cs" Inherits="Seven.Front.AsignacionHabitaciones" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
       { %>

    <title><%=L.TIT("AsignacionHabitaciones") %></title>

    <script type="text/javascript">

    <% 
        
       /* 
        * 
        * Índice de Código 
        * 
        * JQ01 - Grid de Detalle Rese/Room
        * JQ02 - Grid de Filtrado de Habitaciones
        * 
        * JS_FUN_BASE  - Funciones Javascript para Carga de Datos Base
        * JS_DOC       - Funciones Javascript en Document.Ready()
        * 
        * DLG_VAR      - Diálogos Varios
        * DLG_HAB_FIL  - Diálogo Selección de Habitación
        * 
        * TIT - Título
        * 
        * HH  - Hidden Hive - Almacen de datos en campos ocultos
        * 
        * B01 - Cuandro Información Principal
        * B02 - Formulario Principal OH
        * B03 - Zona Informativa 
        * 
        */
        
    %>

        var HeaderTable = ['', '', ''];

        var ListFindN    =  ['eq','bw','ne','lt','le','gt','ge','ew','cn'];
        var ListFindT    =  ['cn','eq','bw','bn','nc','ew','en'];

        <% /* JQ01 */%>

        <% /* Código del jqGrid para AH */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetAH() {
            $.ajax({
                url: 'Servicio.svc/GetReseRoomAsignacionHabi',
                data: { "fec_ent_ini": $('#txtFecEntIni').val(), "fec_ent_fin": $('#txtFecEntFin').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    try
                    {
                        $("#jqgAH").jqGrid("setGridParam", {datatype: "json", loadonce: true});
                        var thegrid = $("#jqgAH")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgAH").jqGrid("setGridParam", {datatype: "local", loadonce: true});
                    }
                    catch(err)
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función para crear o editar los datos hacia el Web Service. */ %>

        function PutAH(id, tipo, id_elem, nro, fecha_ent, fecha_sal, nombre, id_uhab, uso_hab, id_ralo, cod_ralo, cant_habi, precio_hab, id_habi, habitacion, eliminado, eli) {
            $.ajax({
                url: 'Servicio.svc/PutReseRoomAsignacionHabi',
                data: {
                    "tipo": $("#ISETipo").val(), "id_elem": $("#ISEElem").val(), "id_habi": $("#ISEHabi").val()
                    , "Eliminado": eli
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>" },  
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function() {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    var res = json.d;
                    if(res > 0 || res < 0)
                    {
                        BotonDefaultAH();
                        RefreshGridAH();
                    }
                    else
                    {
                        $('#dlgInformation').html(json.d); 
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        //function AHButtonFormatter(cellvalue, options, rowObject) {
        //    return "<button type='button' onclick=\"$('#dlgFiltroHab').dialog('open');\"><img src='img/Seven/Room_Add.png' /></button>";
        //};

        function LoadGridAH() {
        
            var lselAH;
            var colMap = {};
            $("#jqgAH").jqGrid({
                datatype: 'local',
                height: 255,
                width: 700,
                colNames:  ['', '', '', '<%=L.LBL("LblGENNroAbbr") %>', '<%=L.LBL("LblFDKEntrada") %>', '<%=L.LBL("LblFDKSalida") %>', '<%=L.LBL("LblGENName") %>'
                    , '', '<%=L.LBL("LblFDKUso") %>', '', '<%=L.LBL("LblFDKSEXRegimen") %>'
                    , '<%=L.LBL("LblFDKRESETOTCanHab") %>', '<%=L.LBL("LblGENPrice") %>', '','<%=L.LBL("LblFDKHabAbbr") %>', '', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'tipo', index: 'tipo', width: 10, editable: true, hidden: true }, 
                            { name: 'id_elem', index: 'id_elem', width: 10, editable: true, hidden: true }, 
                            { name: 'nro', index: 'nro', width: 10, editable: true, searchoptions:{sopt:ListFindT} }, 
                            { name: 'fecha_ent', index: 'fecha_ent', width: 10, editable: true, searchoptions:{sopt:ListFindT} }, 
                            { name: 'fecha_sal', index: 'fecha_sal', width: 10, editable: true, searchoptions:{sopt:ListFindT} }, 
                            { name: 'nombre', index: 'nombre', width: 20, editable: true, searchoptions:{sopt:ListFindT} }, 
                            { name: 'id_uhab', index: 'id_uhab', width: 10, hidden: true }, 
                            { name: 'uso_hab', index: 'uso_hab', width: 10, editable: true, searchoptions:{sopt:ListFindT} }, 
                            { name: 'id_ralo', index: 'id_ralo', width: 10, hidden: true }, 
                            { name: 'cod_ralo', index: 'cod_ralo', width: 5, editable: true, searchoptions:{sopt:ListFindT} }, 
                            { name: 'cant_habi', index: 'cant_habi', width: 10, editable: true, searchoptions:{sopt:ListFindN} }, 
                            { name: 'precio_hab', index: 'precio_hab', width: 10, editable: true, searchoptions:{sopt:ListFindN} }, 
                            { name: 'id_habi', index: 'id_habi', width: 10, editable: true, hidden: true }, 
                            { name: 'habitacion', index: 'habitacion', width: 5, editable: true, searchoptions:{sopt:ListFindT}, align: 'center' }, 
                            { name: 'boton', index: 'boton', width: 5, editable: false, hidden: true /*, formatter: AHButtonFormatter*/ },
                            { name: 'Eli', index: 'Eli', width: 5, search:false, hidden: true }
   	                    ],
                onSelectRow: function(id){
                    if(id ){

                        if(isNaN(lselAH) && !isNaN(id))
                        {
                            $("#jqgAH").jqGrid('delRowData', lselAH);
                            //$('#jqgAH').jqGrid('resetSelection');
                        }

                        if(!isNaN(id))
                        {
                            $('#jqgAH').jqGrid('saveRow', id);
                            
                            var ret = jQuery("#jqgAH").jqGrid('getRowData',id); 

                            $('#jqgAH').jqGrid('restoreRow',lselAH);

                            $('#IdSubElementAH').val(ret.Id);
                            $('#ISETipo').val(ret.tipo);
                            $('#ISEElem').val(ret.id_elem);
                            $('#ISEUsoHab').val(ret.id_uhab);
                            $('#ISEFecEnt').val(ret.fecha_ent);
                            $('#ISEFecSal').val(ret.fecha_sal);
                            $('#ISEHabi').val(ret.id_habi);
                        }

                        //$('#jqgAH').jqGrid('editRow', id, true, EventsAH);
                       
                        lselAH=id;
                    }
                },
                afterInsertRow: function(id){
                    if(id){
                        if(isNaN(lselAH))
                        {
                            $("#jqgAH").jqGrid('delRowData', lselAH);
                            $('#jqgAH').jqGrid('resetSelection');
                        }
                        else
                        {
                            $('#jqgAH').jqGrid('saveRow',lselAH);
                        }
                    }
                },
                onCellSelect: function(id){
                    if(id){
                        if(!isNaN(id))
                        {
                            $('#jqgAH').jqGrid('restoreRow',id);
                        }

                        //$('#jqgAH').jqGrid('setSelection', id); 

                        BotonSelectAH();
                    }
                },
                gridComplete: function()
                {  
                    var rows = $("#jqgAH").getDataIDs(); 
                    for (var i = 0; i < rows.length; i++)
                    { 
                        if(i == 0 && parseInt($('#IdSubElementAH').val()) == 0)
                        {
                            $('#IdSubElementAH').val($("#jqgAH").getCell(rows[i],"Id"));
                        }
                        var status  = $("#jqgAH").getCell(rows[i],"Eli");

                        if(status == "True")
                        {
                            $("#jqgAH").jqGrid('setRowData',rows[i],false, 
                            {color:'red',font:'italic' });
                        }
                    }
                    $('#jqgAH').jqGrid('setSelection', $('#IdSubElementAH').val());
                    if(parseInt($('#IdSubElementAH').val()) != 0)
                    {
                        BotonSelectAH();
                    }
                }, 
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl:"Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

            //$("#jqgAH").jqGrid('navGrid','#PaginadorAH',{del:false,add:false,edit:false,search:false});
            $("#bsdataAH").click(function(){ 
                jQuery("#jqgAH").jqGrid('searchGrid', {multipleSearch:true}); 
            });
        
        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridAH()
        {
            $("#jqgAH").jqGrid("setGridParam", {datatype: "json", datatype: GetAH, loadonce: true});
            $("#jqgAH").trigger("reloadGrid"); 
            $("#jqgAH").jqGrid("setGridParam", {datatype: "local", loadonce: true});
        }

        <% /* Función que salva los datos modificados en una fila. */ %>

        function SaveAH(){
            var id = $("#jqgAH").jqGrid('getGridParam','selrow');
            if (id)	{
                PutAH(id, $('#' + id + '_tipo').val(), $('#' + id + '_id_elem').val(), $('#' + id + '_nro').val(), $('#' + id + '_fecha_ent').val(), $('#' + id + '_fecha_sal').val(), $('#' + id + '_nombre').val(), $('#' + id + '_id_uhab').val(), $('#' + id + '_uso_hab').val(), $('#' + id + '_id_ralo').val(), $('#' + id + '_cod_ralo').val(), $('#' + id + '_cant_habi').val(), $('#' + id + '_precio_hab').val(), $('#' + id + '_id_habi').val(), $('#' + id + '_habitacion').val(), $('#' + id + '_eliminado').val(), 0);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
        }

        <% /* Función que cancela la edición de una fila y la devuelve a su estado original. */ %>

        function CancelAH(){
            var id = $("#jqgAH").jqGrid('getGridParam','selrow');
            if (id){
                $('#jqgAH').restoreRow(id);
            } 
            else 
            { 
                $('#dlgInformation').html("<%=L.LBL("LblGENPleaseSelectRow") %>"); 
                $('#dlgInformation').dialog('open');
            }
            BotonDefaultAH();
        }

        function BotonDefaultAH() {
            $('#btnGuardarAH').button('disable');
            $('#btnCancelarAH').button('disable');
        }

        function BotonNuevoAH() {
            $('#btnGuardarAH').button('disable');
            $('#btnCancelarAH').button('enable');
        }

        function BotonSelectAH() {
            $('#btnGuardarAH').button('disable');
            $('#btnCancelarAH').button('disable');
        }

        function BotonGuardarAH() {
            $('#btnGuardarAH').button('enable');
            $('#btnCancelarAH').button('enable');
        }

        <% /* JQ02 */ %>

        <% /* Código del jqGrid para Filtro de Habitaciones */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetDataFilHab() {
            $.ajax({
                url: 'Servicio.svc/GetOHCheckInHabiFiltro',
                data: {
                    "Modo": 1, "Fil_id_thab": $("input[name=cbFil_id_thabFILHAB]:checked").val(), "vFil_id_thab": $('#cbTipoHabiFilHab').val()
                    , "Fil_limpias": $("input[name=cbFil_limpiasFILHAB]:checked").val(), "vFil_limpias": "1"
                    , "Fil_id_rang": $("input[name=cbFil_id_rangFILHAB]:checked").val(), "vFil_id_rang": $('#cbRangoHabiFilHab').val()
                    , "Fil_id_grup": $("input[name=cbFil_id_grupFILHAB]:checked").val(), "vFil_id_grup": $('#cbGruposFilHab').val()
                    , "Fil_id_caha": $("input[name=cbFil_id_cahaFILHAB]:checked").val(), "vFil_id_caha": $('#cbCaracteristicasFilHab').val()
                    , "Fil_asignadas_a": 0, "vFil_asignadas_a": 0
                    , "fecha_ent": $('#ISEFecEnt').val(), "fecha_sal": $('#ISEFecSal').val(), "check_in": 0
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $("#dlgCargando3").dialog('open');
                },
                success: function (json) {
                    $("#dlgCargando3").dialog('close');
                    try {
                        $("#jqgFilHab").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgFilHab")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgFilHab").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridFilHab() {

            var lastsel2;
            var colMap = {};
            $("#jqgFilHab").jqGrid({
                datatype: 'local',
                height: 130,
                width: 100,
                colNames: HeaderTable,
                colModel: [
                            { name: 'id', index: 'id', width: 1, sorttype: 'int', hidden: true },
   		                    { name: 'Codigo', index: 'Codigo', width: 10, editable: false, searchoptions: { sopt: ListFindT } },
                            { name: 'Eli', index: 'Eli', width: 3, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id /*&& id !== lastsel2*/) {

                    }

                },
                onCellSelect: function (id) {
                    if (id /*&& id !== lastsel2*/) {

                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgFilHab").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        var status = $("#jqgFilHab").getCell(rows[i], "Eli");

                        if (status == "1") {
                            $("#jqgFilHab").jqGrid('setRowData', rows[i], false,
                            //{color:'black',background:'rgb(230,230,250)',font:'italic' });
                            { color: 'maroon', font: 'italic' });
                        }
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                //rowList: [20, 30, 50],
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                //pager: '#Paginador',
                sortname: 'Codigo',
                viewrecords: true,
                sortorder: "asc",
                processing: true,
                ignoreCase: true, scrollrows: true //,
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header',
                //editurl:"Dummy.aspx"
            });

        }

        function VerDH() {
            window.open('DisponibilidadHabitacionesNEO.aspx?'
                + 's=' + $('#txtFecEntIni').val()
                + '&f=' + $('#txtFecEntFin').val()
                + '&t=0&o=1'
            , '_blank');
        }

        
    </script>

    <script type="text/javascript">

        <% /* JS_DOC */%>

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando2").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando3").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando4").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando5").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando6").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando7").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando8").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando9").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando10").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgFiltroHab").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 300,
                width: 520,
                modal: true,
                open: function ()
                {
                    $('#cbFil_id_thabFILHAB').prop('checked', true);
                    $("#cbTipoHabiFilHab").val($("#HID_UhabXThab_" + $("#ISEUsoHab").val()).val());
                    GetDataFilHab();
                },
                buttons: {
                    "<%=L.LBL("LblGENSearch") %>": function () {
                        GetDataFilHab();
                    },
                    "<%=L.LBL("LblFDKSSeleccionar") %>": function () {
                        $(this).dialog("close");
                        var rsel = $("#jqgFilHab").jqGrid('getGridParam', 'selrow');
                        $("#ISEHabi").val(rsel);
                        BotonGuardarAH();
                    },
                    "<%=L.LBL("LblGENRemover") %>": function () {
                        $(this).dialog("close");
                        $("#ISEHabi").val(0);
                        BotonGuardarAH();
                    },
                    "<%=L.LBL("LblGENCancel") %>": function () {
                        $(this).dialog("close");
                    }
                }
            });

            $("#SevenMenu").accordion("option", "active", 3);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            $('#Loader').css('height', '0px');

            LoadGridAH();
            LoadGridFilHab();

            RefreshGridAH();

            BotonDefaultAH();
        });
    </script>

    <% }
       catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
       { %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M4';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/e-book-reader24.png" />
                                </td>
                                <td>
                                    <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="AsignacionHabitaciones.aspx"><%=L.TIT("AsignacionHabitaciones") %></a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 700px;">

                <div id="Loader" style="width: 2000px; height: 4000px;">
                </div>

                <% /* DLG_VAR */%>

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando2" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando3" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando4" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando5" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando6" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando7" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando8" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando9" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando10" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <% /* DLG_HAB_FIL */ %>

                <div id="dlgFiltroHab" title="<%=L.LBL("LblFDKSeleccionHab") %>" style="text-align: center; padding-top: 25px">
                    <table>
                        <tr>
                            <td>
                                <table style="text-align: left;">
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbFil_id_thabFILHAB" name="cbFil_id_thabFILHAB" value="1" onchange="GetDataFilHab();" />
                                        </td>
                                        <td>
                                            <%=L.LBL("LblGENRoomType") %>:
                                        </td>
                                        <td>
                                            <%=cbTipoHabFilHab %>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbFil_limpiasFILHAB" name="cbFil_limpiasFILHAB" value="1" onchange="GetDataFilHab();" />
                                        </td>
                                        <td>
                                            <%=L.LBL("LblFDKLimpias") %>
                                        </td>
                                        <td>
                                            
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbFil_id_rangFILHAB" name="cbFil_id_rangFILHAB" value="1" onchange="GetDataFilHab();" />
                                        </td>
                                        <td>
                                            <%=L.LBL("LblFDKRango") %>:
                                        </td>
                                        <td>
                                            <%=cbRangoHabiFilHab %>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbFil_id_grupFILHAB" name="cbFil_id_grupFILHAB" value="1" onchange="GetDataFilHab();" />
                                        </td>
                                        <td>
                                            <%=L.LBL("LblGENGroup") %>:
                                        </td>
                                        <td>
                                            <%=cbGruposFilHab %>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbFil_id_cahaFILHAB" name="cbFil_id_cahaFILHAB" value="1" onchange="GetDataFilHab();" />
                                        </td>
                                        <td>
                                            <%=L.LBL("LblGENChara") %>:
                                        </td>
                                        <td>
                                            <%=cbCaracteristicasFilHab %>
                                        </td>
                                    </tr>
                                    <%--<tr>
                                        <td>
                                            <input type="checkbox" id="cbFil_asignadas_aFILHAB" name="cbFil_asignadas_aFILHAB" value="1" onchange="GetDataFilHab();" />
                                        </td>
                                        <td>
                                            <%=L.LBL("LblFDKPreasignadaA") %>:
                                        </td>
                                        <td>
                                            <cbHabiSepaFilHab>
                                        </td>
                                    </tr>--%>
                                </table>
                            </td>
                            <td>
                                &nbsp;
                            </td>
                            <td>
                                <table id="jqgFilHab"></table>
                            </td>
                        </tr>
                    </table>
                </div>

                <% /* TIT */%>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("AsignacionHabitaciones") %></span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultV();RefreshGridV();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/2-1-operaciones-sobre-folios/', '_blank');" id="A1">
                                                <img src="img/question.png" />
                                                <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <% 
           if (CorrectoIns)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
           if (CorrectoMod)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
           if (CorrectoEli)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
           if (!String.IsNullOrEmpty(ErrorMsg))
           {    
                %>

                <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <% /* HH */ %>

                <div id="HiddenHive">
                    <div id="UsosxThab">
                        <%=hidUsosHabXTipoHab %>
                    </div>
                </div>

                <table>
                    <tr>
                        <td>
                            <b><%=L.LBL("LblFDKSFechaEntrada") %>:</b>
                        </td>
                        <td>
                            <%=L.LBL("LblGENStart") %>
                        </td>
                        <td>
                            <input type="text" id="txtFecEntIni" value="<%=string.Format("{0:d}", fecha_hotelera) %>" class="eligeFecha" style="width: 100px;" />
                        </td>
                        <td>
                            <%=L.LBL("LblGENEnd") %>
                        </td>
                        <td>
                            <input type="text" id="txtFecEntFin" value="<%=string.Format("{0:d}", fecha_hotelera) %>" class="eligeFecha" style="width: 100px;" />
                        </td>
                        <td>
                            <table style="width: 100%;">
                                <tr>
                                    <td style="width: 100%;"></td>
                                    <td>
                                        <button type="button" id="btnVer" onclick="RefreshGridAH();" title="<%=L.LBL("LblGENVer") %>">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/magnifier16.png" alt="<%=L.LBL("LblGENVer") %>" />
                                                    </td>
                                                    <td><%=L.LBL("LblGENVer") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                        <td>
                            <table style="width: 100%;">
                                <tr>
                                    <td style="width: 100%;"></td>
                                    <td>
                                        <button type="button" id="btnDH" onclick="VerDH();" title="<%=L.TIT("DisponibilidadHabitaciones") %>">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/Seven/FDK/DispHab.png" alt="<%=L.TIT("DisponibilidadHabitaciones") %>" />
                                                    </td>
                                                    <td><%=L.TIT("DisponibilidadHabitaciones") %></td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

                <input type="hidden" id="IdSubElementAH" value="0" />
                <input type="hidden" id="ISETipo" value="0" />
                <input type="hidden" id="ISEElem" value="0" />
                <input type="hidden" id="ISEUsoHab" value="0" />
                <input type="hidden" id="ISEFecEnt" value="" />
                <input type="hidden" id="ISEFecSal" value="" />
                <input type="hidden" id="ISEHabi" value="0" />
                <table id="jqgAH"></table>

                <table style="width: 100%;">
                    <tr>
                        <td colspan="4">
                            <table style="width: 100%;">
                                <tr>
                                    <td style="width: 100%;"></td>
                                    <td>
                                        <button type="button" id="bsdataAH" >
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/binocular.png" 
                                                           alt="<%=L.LBL("LblGENSearch") %>" />
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblGENSearch") %>
                                                    </td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnAsignar" onclick="$('#dlgFiltroHab').dialog('open');">
                                            <table>
                                                <tr>
                                                    <td>
                                                        <img src="img/Seven/Room_Add.png" 
                                                           alt="<%=L.LBL("LblGENAsignar") %>" />
                                                    </td>
                                                    <td>
                                                        <%=L.LBL("LblGENAsignar") %>
                                                    </td>
                                                </tr>
                                            </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnGuardarAH" onclick="SaveAH();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/disk.png" alt="<%=L.LBL("LblGENSave") %>" />
                                                        </td>
                                                        <td><%=L.LBL("LblGENSave") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                    <td>
                                        <button type="button" id="btnCancelarAH" onclick="CancelAH();">
                                                <table>
                                                    <tr>
                                                        <td><img src="img/arrow-return-180-left.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                        <td><%=L.LBL("LblGENCancel") %></td>
                                                    </tr>
                                                </table>
                                        </button>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>

            </div>

        </div>

    </div>

    <% }
       catch { } %>
</asp:Content>

