﻿<%@ Import Namespace="Seven.Front" %>
<%@ Import Namespace="Seven.Front.Globals" %>
<%@ Import Namespace="Seven.Front.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="HistoricoDepositosCanjes.aspx.cs" Inherits="Seven.Front.HistoricoDepositosCanjes" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
       { %>

    <title><%=L.TIT("HistoricoDepositosCanjes") %> </title>

    <script type="text/javascript">

        var ListFindN = ['eq', 'bw', 'ne', 'lt', 'le', 'gt', 'ge', 'ew', 'cn'];
        var ListFindT = ['cn', 'eq', 'bw', 'bn', 'nc', 'ew', 'en'];

        <% /* Código del jqGrid para Histórico de Depósitos Adelantados */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function HDAButtonFormatter(cellvalue, options, rowObject) {
            return "<button type='button' onclick='ImprimirDA(" + rowObject[0] + ");'><img src='img/printer.png' /></button>";
        };

        function GetHDA() {
            $.ajax({
                url: 'Servicio.svc/GetHistoricoDepositosAdelantados',
                data: {
                      "Fil_numero": $("input[name=cbFilDA_numero]:checked").val(), "vFil_numero": $('#txtFilDA_numero').val()
                    , "Fil_nombre": $("input[name=cbFilDA_nombre]:checked").val(), "vFil_nombre": $('#txtFilDA_nombre').val()
                    , "Fil_id_habi": $("input[name=cbFilDA_id_habi]:checked").val(), "vFil_id_habi": $('#cbHabitacion').val()
                    , "Fil_id_mone": $("input[name=cbFilDA_id_mone]:checked").val(), "vFil_id_mone": $('#cbMoneda').val()
                    , "Fil_hora": $("input[name=cbFilDA_hora]:checked").val(), "Fil_hora_modo": $("#cbDateOpsFilDA").val()
                    , "vFil_hora": $('#txtFilDA_hora').val(), "vFil_hora2": $('#txtFilDA_hora2').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    try {
                        $("#jqgHDA").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgHDA")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgHDA").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridHDA() {

            var lselHDA;
            var colMap = {};
            $("#jqgHDA").jqGrid({
                datatype: 'local',
                height: 255,
                width: 680,
                colNames: ['', '<%=L.LBL("LblGENNroAbbr") %>', '<%=L.LBL("LblGENName") %>', '<%=L.LBL("LblFDKHabAbbr") %>'
                    , '<%=L.LBL("LblGENImporte") %>', '<%=L.LBL("LblGENMonedaAbbr") %>', '<%=L.LBL("LblGENHora") %>', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'consec_dapt', index: 'consec_dapt', width: 5, editable: true, searchoptions: { sopt: ListFindN } },
                            { name: 'nombre', index: 'nombre', width: 25, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'habitacion', index: 'habitacion', width: 5, editable: true, searchoptions: { sopt: ListFindT }, align: 'center' },
                            { name: 'importe', index: 'importe', width: 10, editable: true, searchoptions: { sopt: ListFindN }, align: 'right' },
                            { name: 'cod_mone', index: 'cod_mone', width: 5, editable: true, searchoptions: { sopt: ListFindT }, align: 'center' },
                            { name: 'hora', index: 'hora', width: 20, editable: true, searchoptions: { sopt: ListFindT }, align: 'center' },
                            { name: 'boton', index: 'boton', width: 5, editable: false, formatter: HDAButtonFormatter }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselHDA) && !isNaN(id)) {
                            $("#jqgHDA").jqGrid('delRowData', lselHDA);
                            //$('#jqgHDA').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#jqgHDA').jqGrid('saveRow', id);

                            var ret = jQuery("#jqgHDA").jqGrid('getRowData', id);

                            $('#jqgHDA').jqGrid('restoreRow', lselHDA);

                            $('#IdSubElementHDA').val(ret.Id);
                        }

                        lselHDA = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselHDA)) {
                            $("#jqgHDA").jqGrid('delRowData', lselHDA);
                            $('#jqgHDA').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgHDA').jqGrid('saveRow', lselHDA);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgHDA').jqGrid('restoreRow', id);
                        }
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridHDA() {
            $("#jqgHDA").jqGrid("setGridParam", { datatype: "json", datatype: GetHDA, loadonce: true });
            $("#jqgHDA").trigger("reloadGrid");
            $("#jqgHDA").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListadoHDA() {
            window.open('Informe.aspx?r=760'
                 + "&fn=" + $("input[name=cbFilDA_numero]:checked").val() + "&vn=" + $('#txtFilDA_numero').val()
                 + "&fc=" + $("input[name=cbFilDA_nombre]:checked").val() + "&vc=" + $('#txtFilDA_nombre').val()
                 + "&fh=" + $("input[name=cbFilDA_id_habi]:checked").val() + "&vh=" + $('#cbHabitacion').val()
                 + "&fm=" + $("input[name=cbFilDA_id_mone]:checked").val() + "&vm=" + $('#cbMoneda').val() 
                 + "&ffh=" + $("input[name=cbFilDA_hora]:checked").val() + "&ffhm=" + $("#cbDateOpsFilDA").val()
                 + "&vfh=" + $('#txtFilDA_hora').val() + "&vfh2=" + $('#txtFilDA_hora2').val()
            , '_blank');
        }

        function ImprimirDA(id) {
            window.open("Informe.aspx?r=107&id=" + id);
        }

        <% /* Código del jqGrid para Histórico de Canjes de Divisas */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function HCDButtonFormatter(cellvalue, options, rowObject) {
            return "<button type='button' onclick='ImprimirCD(" + rowObject[0] + ");'><img src='img/printer.png' /></button>";
        };

        function GetHCD() {
            $.ajax({
                url: 'Servicio.svc/GetHistoricoCanjesDivisas',
                data: {
                      "Fil_numero": $("input[name=cbFilCD_numero]:checked").val(), "vFil_numero": $('#txtFilCD_numero').val()
                    , "Fil_nombre": $("input[name=cbFilCD_nombre]:checked").val(), "vFil_nombre": $('#txtFilCD_nombre').val()
                    , "Fil_id_habi": $("input[name=cbFilCD_id_habi]:checked").val(), "vFil_id_habi": $('#cbHabitacionCD').val()
                    , "Fil_id_mone": $("input[name=cbFilCD_id_mone]:checked").val()
                    , "vFil_id_mone": $('#cbMonedaOri').val(), "vFil_id_mone2": $('#cbMonedaDes').val()
                    , "Fil_hora": $("input[name=cbFilCD_hora]:checked").val(), "Fil_hora_modo": $("#cbDateOpsFilCD").val()
                    , "vFil_hora": $('#txtFilCD_hora').val(), "vFil_hora2": $('#txtFilCD_hora2').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                success: function (json) {
                    try {
                        $("#jqgHCD").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgHCD")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgHCD").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridHCD() {

            var lselHCD;
            var colMap = {};
            $("#jqgHCD").jqGrid({
                datatype: 'local',
                height: 255,
                width: 680,
                colNames: ['', '<%=L.LBL("LblGENNroAbbr") %>', '<%=L.LBL("LblGENName") %>', '<%=L.LBL("LblFDKHabAbbr") %>'
                    , '<%=L.LBL("LblGENOrigen") %>', '<%=L.LBL("LblGENMonedaAbbr") %>', '<%=L.LBL("LblGENDestino") %>'
                    , '<%=L.LBL("LblGENMonedaAbbr") %>', '<%=L.LBL("LblGENHora") %>', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'nro_cacd', index: 'nro_cacd', width: 5, editable: true, searchoptions: { sopt: ListFindN } },
                            { name: 'huesped', index: 'huesped', width: 25, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'habitacion', index: 'habitacion', width: 5, editable: true, searchoptions: { sopt: ListFindT }, align: 'center' },
                            { name: 'Importe', index: 'Importe', width: 10, editable: true, searchoptions: { sopt: ListFindN }, align: 'right' },
                            { name: 'cod_mone_ori', index: 'cod_mone_ori', width: 5, editable: true, searchoptions: { sopt: ListFindT }, align: 'center' },
                            { name: 'ImporteMonDes', index: 'ImporteMonDes', width: 10, editable: true, searchoptions: { sopt: ListFindN }, align: 'right' },
                            { name: 'cod_mone_des', index: 'cod_mone_des', width: 5, editable: true, searchoptions: { sopt: ListFindT }, align: 'center' },
                            { name: 'hora', index: 'hora', width: 20, editable: true, searchoptions: { sopt: ListFindT }, align: 'center' },
                            { name: 'boton', index: 'boton', width: 5, editable: false, formatter: HCDButtonFormatter }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselHCD) && !isNaN(id)) {
                            $("#jqgHCD").jqGrid('delRowData', lselHCD);
                            //$('#jqgHCD').jqGrid('resetSelection');
                        }

                        if (!isNaN(id)) {
                            $('#jqgHCD').jqGrid('saveRow', id);

                            var ret = jQuery("#jqgHCD").jqGrid('getRowData', id);

                            $('#jqgHCD').jqGrid('restoreRow', lselHCD);

                            $('#IdSubElementHCD').val(ret.Id);
                        }

                        lselHCD = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselHCD)) {
                            $("#jqgHCD").jqGrid('delRowData', lselHCD);
                            $('#jqgHCD').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgHCD').jqGrid('saveRow', lselHCD);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgHCD').jqGrid('restoreRow', id);
                        }
                    }
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridHCD() {
            $("#jqgHCD").jqGrid("setGridParam", { datatype: "json", datatype: GetHCD, loadonce: true });
            $("#jqgHCD").trigger("reloadGrid");
            $("#jqgHCD").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <% /* Función que permite imprimir el listado de elementos seleccionados. */ %>

        function ImprimirListadoHCD() {
            window.open('Informe.aspx?r=770' 
                + "&fn=" + $("input[name=cbFilCD_numero]:checked").val() + "&vn=" + $('#txtFilCD_numero').val()
                + "&fc=" + $("input[name=cbFilCD_nombre]:checked").val() + "&vc=" + $('#txtFilCD_nombre').val()
                + "&fh=" + $("input[name=cbFilCD_id_habi]:checked").val() + "&vh=" + $('#cbHabitacionCD').val()
                + "&fm=" + $("input[name=cbFilCD_id_mone]:checked").val()
                + "&vm=" + $('#cbMonedaOri').val() + "&vm2=" + $('#cbMonedaDes').val()
                + "&ffh=" + $("input[name=cbFilCD_hora]:checked").val() + "&ffhm=" + $("#cbDateOpsFilCD").val()
                + "&vfh=" + $('#txtFilCD_hora').val() + "&vfh2=" + $('#txtFilCD_hora2').val()
            , '_blank');
        }

        function ImprimirCD(id) {
            window.open("Informe.aspx?r=104&id=" + id);
        }

    </script>

    <script type="text/javascript">

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#SevenMenu").accordion("option", "active", 7);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            $('#HistDACDTabs').tabs();

            LoadGridHDA();
            LoadGridHCD();

            RefreshGridHDA();
            RefreshGridHCD();

            //BotonDefaultV();

        });
    </script>

    <% }
       catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
       { %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M8';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/e-book-reader24.png" />
                                </td>
                                <td>
                                    <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="HistoricoDepositosCanjes.aspx"><%=L.TIT("HistoricoDepositosCanjes") %> </a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 700px;">

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("HistoricoDepositosCanjes") %> </span>
                        </td>
                        <%--<td>&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/3-5-HistoricoDepositosCanjes/', '_blank');" id="A1" ><img src="img/question.png" /> <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                    </tr>
                </table>

                <% 
           if (CorrectoIns)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
           if (CorrectoMod)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
           if (CorrectoEli)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
           if (!String.IsNullOrEmpty(ErrorMsg))
           {    
                %>

                <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />

                <div id="HistDACDTabs" style="padding: 0px;">
                    <ul>
                        <li>
                            <a href="#DA">
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/paper-bag-label.png" /></td>
                                        <td><span style="font-size: 8pt;"><%=L.TIT("OFDepositosAdelantados") %></span></td>
                                    </tr>
                                </table>
                            </a>
                        </li>
                        <li>
                            <a href="#CD">
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/money-bag-dollar.png" /></td>
                                        <td><span style="font-size: 8pt;"><%=L.TIT("OFCanje") %></span></td>
                                    </tr>
                                </table>
                            </a>
                        </li>
                    </ul>

                    <div id="DA">

                        <table style="text-align: left;">
                            <tr>
                                <td>
                                    <input type="checkbox" id="cbFilDA_numero" name="cbFilDA_numero" value="1" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENNumero") %>:
                                </td>
                                <td>
                                    <input type="text" id="txtFilDA_numero" value="" onchange="$('input[name=cbFilDA_numero]').prop('checked', true);" />
                                </td>
                                <td>
                                    <input type="checkbox" id="cbFilDA_id_habi" name="cbFilDA_id_habi" value="1" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENRoom") %>:
                                </td>
                                <td>
                                    <%=cbHabitacion %>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <input type="checkbox" id="cbFilDA_nombre" name="cbFilDA_nombre" value="1" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENName") %>:
                                </td>
                                <td>
                                    <input type="text" id="txtFilDA_nombre" value="" onchange="$('input[name=cbFilDA_nombre]').prop('checked', true);" />
                                </td>
                                <td>
                                    <input type="checkbox" id="cbFilDA_id_mone" name="cbFilDA_id_mone" value="1" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMoney") %>:
                                </td>
                                <td>
                                    <%=cbMoneda %>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <input type="checkbox" id="cbFilDA_hora" name="cbFilDA_hora" value="1" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENDate") %>:
                                </td>
                                <td style="vertical-align: top;" colspan="3">
                                    <%=Utils.DateOpsCombo("$('#cbFilDA_hora').prop('checked', true);")
                                        .Replace("cbDateOps", "cbDateOpsFilDA").Replace("width: 120", "width: 80") %>
                                    <input type="text" id="txtFilDA_hora" value="" class="eligeFecha"
                                        onchange="$('#cbFilDA_hora').prop('checked', true);" style="width: 80px;" />
                                    <input type="text" id="txtFilDA_hora2" value="" class="eligeFecha"
                                        onchange="$('#cbFilDA_hora').prop('checked', true);" style="width: 80px;" />
                                </td>
                            </tr>
                        </table>

                        <input type="hidden" id="IdSubElementHDA" value="0" />
                        <table id="jqgHDA"></table>

                        <table style="width: 100%;">
                            <tr>
                                <td colspan="4">
                                    <table style="width: 100%;">
                                        <tr>
                                            <td style="width: 100%;"></td>
                                            <td>
                                                <button type="button" id="btnImprimirHDA" onclick="ImprimirListadoHDA();">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <img src="img/printer.png" alt="<%=L.LBL("LblGENPrint") %>" />
                                                            </td>
                                                            <td><%=L.LBL("LblGENPrint") %></td>
                                                        </tr>
                                                    </table>
                                                </button>
                                            </td>
                                            <td>
                                                <button type="button" id="btnAplicarHDA" onclick="RefreshGridHDA();">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <img src="img/lightning.png" alt="<%=L.LBL("LblGENAplicar") %>" /></td>
                                                            <td><%=L.LBL("LblGENAplicar") %></td>
                                                        </tr>
                                                    </table>
                                                </button>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>
                    </div>

                    <div id="CD">

                        <table style="text-align: left;">
                            <tr>
                                <td>
                                    <input type="checkbox" id="cbFilCD_numero" name="cbFilCD_numero" value="1" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENNumero") %>:
                                </td>
                                <td>
                                    <input type="text" id="txtFilCD_numero" value="" onchange="$('input[name=cbFilCD_numero]').prop('checked', true);" />
                                </td>
                                <td>
                                    <input type="checkbox" id="cbFilCD_id_habi" name="cbFilCD_id_habi" value="1" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENRoom") %>:
                                </td>
                                <td>
                                    <%=cbHabitacionCD %>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <input type="checkbox" id="cbFilCD_nombre" name="cbFilCD_nombre" value="1" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENName") %>:
                                </td>
                                <td>
                                    <input type="text" id="txtFilCD_nombre" value="" onchange="$('input[name=cbFilCD_nombre]').prop('checked', true);" />
                                </td>
                                <td>
                                    <input type="checkbox" id="cbFilCD_id_mone" name="cbFilCD_id_mone" value="1" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENMoney") %>:
                                </td>
                                <td>
                                    <%=cbMonedaOri %>
                                    &nbsp;->&nbsp;
                                    <%=cbMonedaDes %>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <input type="checkbox" id="cbFilCD_hora" name="cbFilCD_hora" value="1" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENDate") %>:
                                </td>
                                <td style="vertical-align: top;" colspan="3">
                                    <%=Utils.DateOpsCombo("$('#cbFilCD_hora').prop('checked', true);")
                                        .Replace("cbDateOps", "cbDateOpsFilCD").Replace("width: 120", "width: 80") %>
                                    <input type="text" id="txtFilCD_hora" value="" class="eligeFecha"
                                        onchange="$('#cbFilCD_hora').prop('checked', true);" style="width: 80px;" />
                                    <input type="text" id="txtFilCD_hora2" value="" class="eligeFecha"
                                        onchange="$('#cbFilCD_hora').prop('checked', true);" style="width: 80px;" />
                                </td>
                            </tr>
                        </table>

                        <input type="hidden" id="IdSubElementHCD" value="0" />
                        <table id="jqgHCD"></table>

                        <table style="width: 100%;">
                            <tr>
                                <td colspan="4">
                                    <table style="width: 100%;">
                                        <tr>
                                            <td style="width: 100%;"></td>
                                            <td>
                                                <button type="button" id="btnImprimirHCD" onclick="ImprimirListadoHCD();">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <img src="img/printer.png" alt="<%=L.LBL("LblGENPrint") %>" />
                                                            </td>
                                                            <td><%=L.LBL("LblGENPrint") %></td>
                                                        </tr>
                                                    </table>
                                                </button>
                                            </td>
                                            <td>
                                                <button type="button" id="btnAplicarHCD" onclick="RefreshGridHCD();">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <img src="img/lightning.png" alt="<%=L.LBL("LblGENAplicar") %>" /></td>
                                                            <td><%=L.LBL("LblGENAplicar") %></td>
                                                        </tr>
                                                    </table>
                                                </button>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>
                    </div>


                </div>

            </div>

        </div>

    </div>

    <% }
       catch { } %>
</asp:Content>

