﻿<%@ Import Namespace="Seven.Front" %>
<%@ Import Namespace="Seven.Front.Globals" %>
<%@ Import Namespace="Seven.Front.Objects" %>

<%@ Page Language="C#" MasterPageFile="Model.Master" AutoEventWireup="true" CodeBehind="HistoricoFolios.aspx.cs" Inherits="Seven.Front.HistoricoFolios" %>

<asp:Content ID="Content1" ContentPlaceHolderID="cpHeader" runat="server">

    <% try
       { %>

    <title><%=L.TIT("HistoricoFolios") %> [2.5]</title>

    <script type="text/javascript">

        var ListFindN = ['eq', 'bw', 'ne', 'lt', 'le', 'gt', 'ge', 'ew', 'cn'];
        var ListFindT = ['cn', 'eq', 'bw', 'bn', 'nc', 'ew', 'en'];

        <% 
        
           /* 
            * 
            * Índice de Código 
            * 
            * JQ01 - Grid de Folios de Extras
            * JQ02 - Grid de Folios de Empresas
            * JQ03 - Grid de Perfiles
            * JQ04 - Grid de Tipos de Cobros
            * JQ05 - Grid de Tipos de Habitaciones
            * 
            * JS_FUN_BASE  - Funciones Javascript para Carga de Datos Base
            * JS_FUN_PER   - Funciones Javascript Perfiles
            * JS_DOC       - Funciones Javascript en Document.Ready()
            * 
            * DLG_VAR      - Diálogos Varios
            * DLG_FIL_PER  - Diálogo de Filtrado de Perfiles
            * 
            * TIT - Título
            * 
            * HH  - Hidden Hive - Almacen de datos en campos ocultos
            * 
            * B01 - Tabs de HF
            * B02 - Tab de Folios (Informes)
            * B03 - Tab de Folios de Extras
            * B04 - Tab de Folios de Agencias
            * 
            */
        
        %>

        <% /* JQ01 */ %>

        <% /* Código del jqGrid para Histórico de Folios de Extras */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function ImprimirButtonFormatter(cellvalue, options, rowObject) {
            return "<button type='button' onclick='ImprimirDocumento(" + rowObject[8] + ", " + rowObject[1] + ", " + rowObject[2] + ");'><img src='img/printer.png' /></button>";
        };

        function GetHFE() {
            $.ajax({
                url: 'Servicio.svc/GetHistoricoFolios',
                data: {
                    "nro_folio": $('#txtNroFolioExt').val(), "empresa": 0
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    try {
                        $("#jqgHFE").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgHFE")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgHFE").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridHFE() {

            var lselHFE;
            var colMap = {};
            $("#jqgHFE").jqGrid({
                datatype: 'local',
                height: 332,
                width: 475,
                colNames: ['', '', '', '', '<%=L.LBL("LblGENDate") %>', '<%=L.LBL("LblGENDescription") %>', '', '<%=L.LBL("LblGENImporte") %>', '', '', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'id_elem', index: 'id_elem', width: 10, editable: true, hidden: true },
                            { name: 'nro_doc', index: 'nro_doc', width: 10, editable: true, hidden: true },
                            { name: 'id_cardex', index: 'id_cardex', width: 10, editable: true, hidden: true },
                            { name: 'fecha_emision', index: 'fecha_emision', width: 14, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'descripcion', index: 'descripcion', width: 50, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'cod_mone', index: 'cod_mone', width: 10, editable: true, hidden: true },
                            { name: 'impo', index: 'impo', width: 20, editable: true, searchoptions: { sopt: ListFindN }, align: 'right' },
                            { name: 'tipo', index: 'tipo', width: 10, editable: true, hidden: true },
                            { name: 'boton', index: 'boton', width: 6, editable: false, formatter: ImprimirButtonFormatter },
                            { name: 'Eli', index: 'Eli', width: 5, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselHFE) && !isNaN(id)) {
                            $("#jqgHFE").jqGrid('delRowData', lselHFE);
                        }

                        if (!isNaN(id)) {
                            $('#jqgHFE').jqGrid('saveRow', id);

                            var ret = jQuery("#jqgHFE").jqGrid('getRowData', id);

                            $('#jqgHFE').jqGrid('restoreRow', lselHFE);

                            $('#IdSubElementHFE').val(ret.Id);
                            $('#IdSubElementCARDEX').val(ret.id_cardex);

                            var card = parseInt(ret.id_cardex);
                            if (card != 0) {
                                $('#imgKardex01').attr("src", "img/Seven/KardexDel.png");
                            }
                            else {
                                $('#imgKardex01').attr("src", "img/Seven/Kardex.png");
                            }
                        }

                        lselHFE = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselHFE)) {
                            $("#jqgHFE").jqGrid('delRowData', lselHFE);
                            $('#jqgHFE').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgHFE').jqGrid('saveRow', lselHFE);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgHFE').jqGrid('restoreRow', id);
                        }
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgHFE").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElementHFE').val()) == 0) {
                            $('#IdSubElementHFE').val($("#jqgHFE").getCell(rows[i], "Id"));
                        }
                        var status = $("#jqgHFE").getCell(rows[i], "Eli");

                        if (status == "True") {
                            $("#jqgHFE").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgHFE').jqGrid('setSelection', $('#IdSubElementHFE').val());
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

        }

        <% /* JQ02 */ %>

        <% /* Código del jqGrid para Histórico de Folios de Empresas (Agencias) */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetHFA() {
            $.ajax({
                url: 'Servicio.svc/GetHistoricoFolios',
                data: {
                    "nro_folio": $('#txtNroFolioAgen').val(), "empresa": 1
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function()
                {
                    $('#dlgCargando1').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando1').dialog('close');
                    try {
                        $("#jqgHFA").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgHFA")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgHFA").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function LoadGridHFA() {

            var lselHFA;
            var colMap = {};
            $("#jqgHFA").jqGrid({
                datatype: 'local',
                height: 300,
                width: 475,
                colNames: ['', '', '', '', '<%=L.LBL("LblGENDate") %>', '<%=L.LBL("LblGENDescription") %>', '', '<%=L.LBL("LblGENImporte") %>', '', '', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'id_elem', index: 'id_elem', width: 10, editable: true, hidden: true },
                            { name: 'nro_doc', index: 'nro_doc', width: 10, editable: true, hidden: true },
                            { name: 'id_cardex', index: 'id_cardex', width: 10, editable: true, hidden: true },
                            { name: 'fecha_emision', index: 'fecha_emision', width: 14, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'descripcion', index: 'descripcion', width: 50, editable: true, searchoptions: { sopt: ListFindT } },
                            { name: 'cod_mone', index: 'cod_mone', width: 10, editable: true, hidden: true },
                            { name: 'impo', index: 'impo', width: 20, editable: true, searchoptions: { sopt: ListFindN }, align: 'right' },
                            { name: 'tipo', index: 'tipo', width: 10, editable: true, hidden: true },
                            { name: 'boton', index: 'boton', width: 6, editable: false, formatter: ImprimirButtonFormatter },
                            { name: 'Eli', index: 'Eli', width: 5, search: false, hidden: true }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselHFA) && !isNaN(id)) {
                            $("#jqgHFA").jqGrid('delRowData', lselHFA);
                        }

                        if (!isNaN(id)) {
                            $('#jqgHFA').jqGrid('saveRow', id);

                            var ret = jQuery("#jqgHFA").jqGrid('getRowData', id);

                            $('#jqgHFA').jqGrid('restoreRow', lselHFA);

                            $('#IdSubElementHFA').val(ret.Id);
                            $('#IdSubElementCARDAG').val(ret.id_cardex);

                            var card = parseInt(ret.id_cardex);
                            if (card != 0)
                            {
                                $('#imgKardex02').attr("src", "img/Seven/KardexDel.png");
                            }
                            else {
                                $('#imgKardex02').attr("src", "img/Seven/Kardex.png");
                            }
                        }

                        lselHFA = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselHFA)) {
                            $("#jqgHFA").jqGrid('delRowData', lselHFA);
                            $('#jqgHFA').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgHFA').jqGrid('saveRow', lselHFA);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgHFA').jqGrid('restoreRow', id);
                        }
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgHFA").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        if (i == 0 && parseInt($('#IdSubElementHFA').val()) == 0) {
                            $('#IdSubElementHFA').val($("#jqgHFA").getCell(rows[i], "Id"));
                        }
                        var status = $("#jqgHFA").getCell(rows[i], "Eli");

                        if (status == "True") {
                            $("#jqgHFA").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgHFA').jqGrid('setSelection', $('#IdSubElementHFA').val());
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

        }

        <% /* JQ03 */%>

        <% /* Código del jqGrid para Perfiles */ %>

        <% /* Función para cargar los datos del Web Service. */ %>

        function GetPER() {
            GetPerfil(1, 0);
        }

        function GetPERNew() {
            GetPerfil(4, 0);
        }

        function GetPerfil(modo, id) {
            if (modo < 3) {
                modo = 1;
            }

            $.ajax({
                url: 'Servicio.svc/GetPerfiles',
                data: {
                    "Modo": modo, "id_cardex": id, "id_cardex_fil": $('#IdSubElementPERFil').val()
                    , "Fil_nombre": $("input[name=cbFilPER_nombre]:checked").val(), "vFil_nombre": $('#txtFilPER_nombre').val()
                    , "Fil_clave_cardex": $("input[name=cbFilPER_clave_cardex]:checked").val(), "vFil_clave_cardex": $('#txtFilPER_clave_cardex').val()
                    , "Fil_dni_cif": $("input[name=cbFilPER_dni_cif]:checked").val(), "vFil_dni_cif": $('#txtFilPER_dni_cif').val()
                    , "Fil_provincia": $("input[name=cbFilPER_provincia]:checked").val(), "vFil_provincia": $('#txtFilPER_provincia').val()
                    , "Fil_ciudad": $("input[name=cbFilPER_ciudad]:checked").val(), "vFil_ciudad": $('#txtFilPER_ciudad').val()
                    , "Fil_localidad": $("input[name=cbFilPER_localidad]:checked").val(), "vFil_localidad": $('#txtFilPER_localidad').val()
                    , "Fil_zip_code": $("input[name=cbFilPER_zip_code]:checked").val(), "vFil_zip_code": $('#txtFilPER_zip_code').val()
                    , "Fil_id_naci": $("input[name=cbFilPER_id_naci]:checked").val(), "vFil_id_naci": $('#cbNacionalidadFilPER').val()
                    , "Fil_fecha_nac": $("input[name=cbFilPER_fecha_nac]:checked").val(), "Fil_fecha_nac_modo": $('#cbDateOpsFilPER').val()
                    , "vFil_fecha_nac": $('#txtFilPER_fecha_nac').val(), "vFil_fecha_nac2": $('#txtFilPER_fecha_nac2').val()
                    , "Fil_vip": $("input[name=cbFilPER_vip]:checked").val()
                    , "Fil_sexo": $("input[name=cbFilPER_sexo]:checked").val(), "vFil_sexo": $('input[name=rbPERFilGenero]:checked').val()
                    , "Eliminado": $('#cbEliminado:checked').val()
                    , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                    , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                    , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando').dialog('close');
                    $('#IdSubElementPERFil').val(0);
                    try {
                        if (parseInt(id) == 0) {
                            $("#jqgPER").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                            var thegrid = $("#jqgPER")[0];
                            thegrid.addJSONData(JSON.parse(json.d));
                            $("#jqgPER").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                        }
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        <% /* Función principal que inicia la carga del jqGrid. Se llama de primero. */ %>

        function VerPerfilButtonFormatter(cellvalue, options, rowObject) {
            return "<button type='button' onclick='VerPerfil(" + rowObject[0] + ");'><img src='img/magnifier16.png' /></button>";
        };

        function VerPerfil(id) {
            window.open("Perfiles.aspx?t=1&id=" + id, "_blank");
        }

        function LoadGridPER() {

            var lselPER;
            var colMap = {};
            $("#jqgPER").jqGrid({
                datatype: 'local',
                height: 300,
                width: 200,
                colNames: ['', '<%=L.LBL("LblGENName") %>', '', ''],
                colModel: [
                            { name: 'Id', index: 'Id', width: 1, sorttype: 'int', hidden: true },
                            { name: 'clave_cardex', index: 'clave_cardex', width: 10, editable: false },
                            { name: 'Eli', index: 'Eli', width: 5, search: false, hidden: true },
                            { name: 'boton', index: 'boton', width: 3, editable: false, formatter: VerPerfilButtonFormatter }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselPER) && !isNaN(id)) {
                            $("#jqgPER").jqGrid('delRowData', lselPER);
                        }

                        if (!isNaN(id)) {
                            var ret = jQuery("#jqgPER").jqGrid('getRowData', id);

                            $('#jqgPER').jqGrid('restoreRow', lselPER);

                            $('#IdSubElementPER').val(ret.Id);
                        }

                        lselPER = id;
                    }
                },
                afterInsertRow: function (id) {
                    if (id) {
                        if (isNaN(lselPER)) {
                            $("#jqgPER").jqGrid('delRowData', lselPER);
                            $('#jqgPER').jqGrid('resetSelection');
                        }
                        else {
                            $('#jqgPER').jqGrid('saveRow', lselPER);
                        }
                    }
                },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgPER').jqGrid('restoreRow', id);
                        }

                        var ret = jQuery("#jqgPER").jqGrid('getRowData', id);
                        var status = ret.Eli;

                        if (status == "True") {
                            $('#btnEliminarTextPER').html("<%=L.LBL("LblGENRecover") %>");
                            $('#btnEliminarIconPER').attr("src", "img/recuperar.png");
                        }
                        else {
                            $('#btnEliminarTextPER').html("<%=L.LBL("LblGENDelete") %>");
                            $('#btnEliminarIconPER').attr("src", "img/cross-script.png");
                        }
                    }
                },
                gridComplete: function () {
                    var rows = $("#jqgPER").getDataIDs();
                    for (var i = 0; i < rows.length; i++) {
                        var status = $("#jqgPER").getCell(rows[i], "Eli");

                        if (status == "True") {
                            $("#jqgPER").jqGrid('setRowData', rows[i], false,
                            { color: 'red', font: 'italic' });
                        }
                    }
                    $('#jqgPER').jqGrid('setSelection', $('#IdSubElementPER').val());
                },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx"
                //multiselect: true,
                //altRows: true,
                //altclass:'ui-widget-header'
            });

        }

        <% /* Función que permite recargar los datos del grid desde el servidor. */ %>

        function RefreshGridPER() {
            $("#jqgPER").jqGrid("setGridParam", { datatype: "json", datatype: GetPER, loadonce: true });
            $("#jqgPER").trigger("reloadGrid");
            $("#jqgPER").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        function RefreshGridPERNew() {
            $("#jqgPER").jqGrid("setGridParam", { datatype: "json", datatype: GetPERNew, loadonce: true });
            $("#jqgPER").trigger("reloadGrid");
            $("#jqgPER").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <% /* JQ04 */%>

        <% /* Código del jqGrid para Tipos de Cobros */ %>

        function GetTC() {
            $.ajax({
                url: 'Servicio.svc/GetTipoCobrosCodigoJQGrid',
                data: {
                  "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                //beforeSend: function () {
                //    $('#dlgCargando1').dialog('open');
                //},
                success: function (json) {
                    //$('#dlgCargando1').dialog('close');
                    try {
                        $("#jqgTC").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgTC")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgTC").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        function LoadGridTC() {

            var lselTC;
            var colMap = {};
            $("#jqgTC").jqGrid({
                datatype: 'local',
                height: 100,
                width: 200,
                colNames: ['<%=L.LBL("LblGENTipoCobro") %>'],
                colModel: [
                            { name: 'Id', index: 'Id', width: 100 }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselTC) && !isNaN(id)) {
                            $("#jqgTC").jqGrid('delRowData', lselTC);
                        }

                        if (!isNaN(id)) {
                            var ret = jQuery("#jqgTC").jqGrid('getRowData', id);

                            $('#jqgTC').jqGrid('restoreRow', lselTC);

                            $('#IdSubElementTC').val(ret.Id);

                        }

                        $('input[name=cbFil_cod_tcob]').prop('checked', true);

                        lselTC = id;
                    }
                },
                //afterInsertRow: function (id) { },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgTC').jqGrid('restoreRow', id);
                        }
                    }
                },
                //gridComplete: function () { },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx",
                multiselect: true
            });

        }

        function RefreshGridTC() {
            $("#jqgTC").jqGrid("setGridParam", { datatype: "json", datatype: GetTC, loadonce: true });
            $("#jqgTC").trigger("reloadGrid");
            $("#jqgTC").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <% /* JQ05 */%>

        <% /* Código del jqGrid para Tipos de Habitaciones */ %>

        function GetTH() {
            $.ajax({
                url: 'Servicio.svc/GetTipoHabitacionesCodigoJQGrid',
                data: {
                    "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                //beforeSend: function () {
                //    $('#dlgCargando1').dialog('open');
                //},
                success: function (json) {
                    //$('#dlgCargando1').dialog('close');
                    try {
                        $("#jqgTH").jqGrid("setGridParam", { datatype: "json", loadonce: true });
                        var thegrid = $("#jqgTH")[0];
                        thegrid.addJSONData(JSON.parse(json.d));
                        $("#jqgTH").jqGrid("setGridParam", { datatype: "local", loadonce: true });
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        function LoadGridTH() {

            var lselTH;
            var colMap = {};
            $("#jqgTH").jqGrid({
                datatype: 'local',
                height: 100,
                width: 200,
                colNames: ['<%=L.LBL("LblGENTipoHab") %>'],
                colModel: [
                            { name: 'Id', index: 'Id', width: 100 }
                ],
                onSelectRow: function (id) {
                    if (id) {

                        if (isNaN(lselTH) && !isNaN(id)) {
                            $("#jqgTH").jqGrid('delRowData', lselTH);
                        }

                        if (!isNaN(id)) {
                            var ret = jQuery("#jqgTH").jqGrid('getRowData', id);

                            $('#jqgTH').jqGrid('restoreRow', lselTH);

                            $('#IdSubElementTH').val(ret.Id);
                        }

                        $('input[name=cbFil_refer_thab]').prop('checked', true);

                        lselTH = id;
                    }
                },
                //afterInsertRow: function (id) { },
                onCellSelect: function (id) {
                    if (id) {
                        if (!isNaN(id)) {
                            $('#jqgTH').jqGrid('restoreRow', id);
                        }
                    }
                },
                //gridComplete: function () { },
                rowNum: 99999999,
                rowTotal: 99999999,
                loadonce: true,
                mtype: "GET",
                rownumbers: false,
                rownumWidth: 40,
                gridview: true,
                sortname: 'Id',
                viewrecords: true,
                sortorder: "asc",
                ignoreCase: true,
                scrollrows: true,
                editurl: "Dummy.aspx",
                multiselect: true
            });

        }

        function RefreshGridTH() {
            $("#jqgTH").jqGrid("setGridParam", { datatype: "json", datatype: GetTH, loadonce: true });
            $("#jqgTH").trigger("reloadGrid");
            $("#jqgTH").jqGrid("setGridParam", { datatype: "local", loadonce: true });
        }

        <% /* JS_FUN_BASE */ %>

        function LoadHFE()
        {
            var folio = parseInt($('#txtNroFolioExt').val());
            if (!isNaN(folio))
            {
                GetHFE();
            }
        }

        function LoadHFA() {
            var folio = parseInt($('#txtNroFolioAgen').val());
            if (!isNaN(folio)) {
                GetHFA();
            }
        }

        function HistoricoFolios()
        {
            window.open("Informe.aspx?r=199"
                + "&m=" + $('input[name=rbOrden]:checked').val()
                + "&s=" + $('#txtFecIni').val()
                + "&f=" + $('#txtFecFin').val()
                + "&e=" + $('#cbACCEmpresa').val()
                + "&fk=" + $("input[name=cbFil_cod_tcob]:checked").val() + "&vk=" + $("#jqgTC").jqGrid('getGridParam', 'selarrrow').toString()
                + "&fh=" + $("input[name=cbFil_refer_thab]:checked").val() + "&vh=" + $("#jqgTH").jqGrid('getGridParam', 'selarrrow').toString()
                + "&fo=" + $("input[name=cbFil_id_oper]:checked").val() + "&vo=" + $('#cbOperador').val()
                + "&ff=" + $("input[name=cbFil_nro_factura]:checked").val() + "&vf=" + $('#txtFil_nro_factura').val() + "&vf2=" + $('#txtFil_nro_factura2').val()
                + "&fr=" + $("input[name=cbFil_nro_recibo]:checked").val() + "&vr=" + $('#txtFil_nro_recibo').val() + "&vr2=" + $('#txtFil_nro_recibo2').val()
                + "&fn=" + $("input[name=cbFil_notas]:checked").val() + "&vn=" + $('input[name=rbNotas]:checked').val()
                + "&c=" + $('#cbMoneda').val()
                + "&t=" + $('#txtTasa').val()
                + "&am=" + $('#cbAgrupMone:checked').val()
            );
        }

        function CargarTasa()
        {
            $('#txtTasa').val($('#HID_MO_tasa_' + $('#cbMoneda').val()).val())
        }

        <% /* JS_FUN_PER */ %>

        function AsignarPerfil() {
            $('#IdSubElementPERFil').val($('#IdSubElementPER').val());
            PutHFPerfil();
            //$('#dlgFiltroPER').dialog('close');
        }

        function RemoverPerfil() {
            $('#IdSubElementPERFil').val(0);
            PutHFPerfil();
            //$('#dlgFiltroPER').dialog('close');
        }

        function PutHFPerfil()
        {
            var modo = parseInt($('#IdSubElementPERModo').val())
            var nro_folio = 0;

            if (modo == 0) {
                nro_folio = $('#txtNroFolioExt').val();
            }
            else
            {
                nro_folio = $('#txtNroFolioAgen').val();
            }

            $.ajax({
                url: 'Servicio.svc/PutHistoricoFoliosCardex',
                data: {
                    "nro_folio": nro_folio, "id_cardex": $('#IdSubElementPERFil').val()
                , "U": "<%=Request.Cookies[Parametros.COOKIE_USR].Value %>", "N": "<%=Request.Cookies[Parametros.COOKIE_NOM].Value %>"
                , "D": "<%=Request.Cookies[Parametros.COOKIE_DAT].Value %>", "I": "<%=Enigma.Encriptar(Request.ServerVariables["REMOTE_ADDR"]) %>"
                , "LangCode": "<%=LangCode %>"
                },
                dataType: "json",
                type: "GET",
                contentType: "application/json; charset=utf-8",
                beforeSend: function () {
                    $('#dlgCargando3').dialog('open');
                },
                success: function (json) {
                    $('#dlgCargando3').dialog('close');
                    try {
                        var res = json.d;
                        if(res > 0 || res < 0)
                        {
                            $('#dlgFiltroPER').dialog('close');
                            if (modo == 0) {
                                GetHFE();
                            }
                            else {
                                GetHFA();
                            }
                        }
                        else {
                            $('#dlgInformation').html(json.d);
                            $('#dlgInformation').dialog('open');
                        }
                    }
                    catch (err) {
                        $('#dlgInformation').html(json.d);
                        $('#dlgInformation').dialog('open');
                    }
                }
            });
        }

        function ImprimirDocumento(tipo, id, nro)
        {
            var original_ext = parseInt($('#cbOriginal:checked').val());
            var original_ag = parseInt($('#cbOriginalAgen:checked').val());

            var link = 'Informe.aspx?r=';

            if (parseInt(tipo) == 0)
            {
                link += '180&id=' + id + '&ns=' + $('#cbNoSum:checked').val();
                if (original_ext == 1)
                {
                    link += '&w=1';
                }
            }

            if (parseInt(tipo) == 1) {
                link += '190&n=' + nro + '&mb=' + $('input[name=rbMoneda]:checked').val();
                if (original_ag == 1) {
                    link += '&w=1';
                }
            }

            if (parseInt(tipo) == 2) {
                link += '170&n=' + nro;
            }

            window.open(link, '_blank');
        }

    </script>

    <script type="text/javascript">

        <% /* JS_DOC */ %>

        $(document).ready(function () {

            $("#dlgEliminar").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgInformation").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 167,
                width: 500,
                modal: true
            });

            $("#dlgCargando").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando2").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgCargando3").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 100,
                width: 270,
                modal: true,
                dialogClass: 'no-close'
            });

            $("#dlgFiltroPER").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 500,
                width: 540,
                modal: true
            });

            $("#dlgPerfilNuevo").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 200,
                width: 440,
                modal: true,
                open: function () {
                    window.open('Perfiles.aspx', '_PERF');
                },
                buttons: {
                    "<%=L.LBL("LblGENClose") %>": function () {
                        RefreshGridPERNew();
                        $(this).dialog("close");
                    }
                }
            });

            $("#dlgFiltro").dialog({
                autoOpen: false,
                show: "fade",
                hide: "curtain",
                resizable: false,
                height: 400,
                width: 470,
                modal: true
            });

            LoadGridTC();
            LoadGridTH();
            LoadGridHFE();
            LoadGridHFA();
            LoadGridPER();

            RefreshGridTC();
            RefreshGridTH();

            $("#SevenMenu").accordion("option", "active", 2);

            $('btnEliminar').attr('disabled', true);
            $('btnGuardar').attr('disabled', true);
            $('btnCancelar').attr('disabled', true);

            $('#HFTabs').tabs();

            CargarTasa();

        });
    </script>

    <% }
       catch { } %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="cpPrincipal" runat="server">

    <% try
       { %>

    <div id="SevenBreadcrumb" class="ui-state-default">
        <table style="width: 100%; white-space: nowrap;">
            <tr>
                <td>
                    <div class="SevenEnlaces" onclick="window.location.href='Menu.aspx#M3';" style="cursor: pointer;">
                        <table>
                            <tr>
                                <td>
                                    <img src="img/e-book-reader24.png" />
                                </td>
                                <td>
                                    <span style="font-size: 12pt;"><%=L.LBL("LblGENMenuTactil") %></span>
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
                <td>&nbsp;</td>
                <td>
                    <a href="Inicio.aspx"><%=L.LBL("LblGENInicio") %></a>
                    <img src="img/arrow.png" alt="" />
                    <a href="HistoricoFolios.aspx"><%=L.TIT("HistoricoFolios") %> [2.5]</a>
                </td>
                <td style="width: 100%;"></td>
                <td>
                    <%=L.LBL("LblGENLanguage") %>
                </td>
                <td>
                    <!-- #include file="LanguageCombo.html" -->
                </td>
            </tr>
        </table>
    </div>

    <div id="SevenPrincipal">

        <div id="SevenMedio">

            <div id="SevenInterno" style="width: 500px;">

                <% /* DLG_VAR */ %>

                <div id="dlgEliminar" title="<%=L.LBL("LblGENDelete") %>" style="text-align: center; padding-top: 25px">
                    <span class="ui-icon ui-icon-alert" style="float: left; margin: 0 7px 20px 0;"></span>¿Desea eliminar este elemento?
                </div>

                <div id="dlgInformation" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                </div>

                <div id="dlgCargando" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando2" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgCargando3" title="<%=L.LBL("LblGENLoading") %>" style="text-align: center; padding-top: 25px">
                    <img src="img/cargando2.gif" alt="<%=L.LBL("LblGENLoading") %>" />
                </div>

                <div id="dlgFiltro" title="<%=L.LBL("LblGENFilterBy") %>" style="text-align: center; padding-top: 25px">
                    <table>
                        <tr>
                            <td>
                                <table style="text-align: left;">
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbFil_cod_tcob" name="cbFil_cod_tcob" value="1" />
                                        </td>
                                        <td><%=L.LBL("LblGENTipoCobro") %>:</td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">
                                            <input type="hidden" id="IdSubElementTC" value="0" />
                                            <table id="jqgTC"></table>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <br />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbFil_refer_thab" name="cbFil_refer_thab" value="1" />
                                        </td>
                                        <td><%=L.LBL("LblGENRoomType") %>:</td>
                                    </tr>
                                    <tr>
                                        <td colspan="2">
                                            <input type="hidden" id="IdSubElementTH" value="0" />
                                            <table id="jqgTH"></table>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                            <td>
                                <table style="text-align: left;">
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbFil_id_oper" name="cbFil_id_oper" value="1" />
                                        </td>
                                        <td>
                                            <%=L.LBL("LblGENUser") %>:
                                        </td>
                                        <td>
                                            <%=cbOperador %>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <br />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbFil_nro_factura" name="cbFil_nro_factura" value="1" />
                                        </td>
                                        <td>
                                            <%=L.LBL("LblGENFactura") %>:
                                        </td>
                                        <td>
                                            <input type="text" id="txtFil_nro_factura" value="0" onchange="$('input[name=cbFil_nro_factura]').prop('checked', true);" style="width: 100px;" /><br />
                                            <input type="text" id="txtFil_nro_factura2" value="0" onchange="$('input[name=cbFil_nro_factura]').prop('checked', true);" style="width: 100px;" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <br />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbFil_nro_recibo" name="cbFil_nro_recibo" value="1" />
                                        </td>
                                        <td>
                                            <%=L.LBL("LblGENRecibo") %>:
                                        </td>
                                        <td>
                                            <input type="text" id="txtFil_nro_recibo" value="0" onchange="$('input[name=cbFil_nro_recibo]').prop('checked', true);" style="width: 100px;" /><br />
                                            <input type="text" id="txtFil_nro_recibo2" value="0" onchange="$('input[name=cbFil_nro_recibo]').prop('checked', true);" style="width: 100px;" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <br />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbFil_notas" name="cbFil_notas" value="1" />
                                        </td>
                                        <td>
                                            <%=L.LBL("LblGENNotas") %>:
                                        </td>
                                        <td>
                                            <input type="radio" name="rbNotas" value="0" onclick="$('input[name=cbFil_notas]').prop('checked', true);" checked="checked" /><%=L.LBL("LblGENTodo") %><br />
                                            <input type="radio" name="rbNotas" value="1" onclick="$('input[name=cbFil_notas]').prop('checked', true);" /><%=L.LBL("LblGENNotaDebito") %><br />
                                            <input type="radio" name="rbNotas" value="2" onclick="$('input[name=cbFil_notas]').prop('checked', true);" /><%=L.LBL("LblGENNotaCredito") %>
                                        </td>
                                    </tr>
                                </table>

                                <br />
                                <br />
                                <br />
                                <br />

                                <table style="width: 100%;">
                                    <tr>
                                        <td colspan="4">
                                            <table style="width: 100%;">
                                                <tr>
                                                    <td style="width: 100%;"></td>
                                                    <td>
                                                        <button type="button" id="btnFiltrar2" onclick="$('#dlgFiltro').dialog('close');">
                                                            <table>
                                                                <tr>
                                                                    <td>
                                                                        <img src="img/funnel.png" alt="<%=L.LBL("LblGENFiltrar") %>" />
                                                                    </td>
                                                                    <td><%=L.LBL("LblGENFiltrar") %></td>
                                                                </tr>
                                                            </table>
                                                        </button>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                </table>

                            </td>
                        </tr>
                    </table>
                </div>

                <% /* DLG_FIL_PER */%>

                <div id="dlgPerfilNuevo" title="<%=L.LBL("LblGENInformation") %>" style="text-align: center; padding-top: 25px">
                    <%=L.MSG("MsgNuevoPerfil") %>
                </div>

                <div id="dlgFiltroPER" title="<%=L.TIT("Perfiles") %>" style="text-align: center; padding-top: 25px">
                    <table style="text-align: left; white-space: nowrap;">
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_nombre" name="cbFilPER_nombre" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENName") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilPER_nombre" value="" onchange="$('input[name=cbFilPER_nombre]').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                            </td>
                            <td rowspan="10">
                                <input type="hidden" id="IdSubElementPER" value="0" />
                                <input type="hidden" id="IdSubElementPERCon" value="0" />
                                <input type="hidden" id="IdSubElementPERModo" value="0" />
                                <input type="hidden" id="IdSubElementPERFil" value="0" />
                                <table id="jqgPER"></table>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_clave_cardex" name="cbFilPER_clave_cardex" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblPERClave") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilPER_clave_cardex" value="" onchange="$('input[name=cbFilPER_clave_cardex]').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_dni_cif" name="cbFilPER_dni_cif" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKIdentificacion") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilPER_dni_cif" value="" onchange="$('input[name=cbFilPER_dni_cif]').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_provincia" name="cbFilPER_provincia" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKProvincia") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilPER_provincia" value="" onchange="$('input[name=cbFilPER_provincia]').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_ciudad" name="cbFilPER_ciudad" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKCiudad") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilPER_ciudad" value="" onchange="$('input[name=cbFilPER_ciudad]').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_localidad" name="cbFilPER_localidad" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKLocalidad") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilPER_localidad" value="" onchange="$('input[name=cbFilPER_localidad]').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_zip_code" name="cbFilPER_zip_code" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKCodigoPostal") %>:
                            </td>
                            <td>
                                <input type="text" id="txtFilPER_zip_code" value="" onchange="$('input[name=cbFilPER_zip_code]').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_id_naci" name="cbFilPER_id_naci" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKSEXNacionalidad") %>:
                            </td>
                            <td>
                                <%=cbNacionalidadFilPER %>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_vip" name="cbFilPER_vip" value="1" onclick="RefreshGridPER();" />
                            </td>
                            <td>VIP
                            </td>
                            <td></td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_sexo" name="cbFilPER_sexo" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblGENGenero") %>:
                            </td>
                            <td>
                                <input type="radio" id="rbPERFilGenero0" name="rbPERFilGenero" value="0" checked="checked"
                                    onclick="$('#cbFilPER_sexo').prop('checked', true); RefreshGridPER();" /><b><%=L.LBL("LblGENMasculino") %></b>
                                <br />
                                <input type="radio" id="rbPERFilGenero1" name="rbPERFilGenero" value="1"
                                    onclick="$('#cbFilPER_sexo').prop('checked', true); RefreshGridPER();" /><b><%=L.LBL("LblGENFemenino") %></b>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <input type="checkbox" id="cbFilPER_fecha_nac" name="cbFilPER_fecha_nac" value="1" />
                            </td>
                            <td>
                                <%=L.LBL("LblFDKFechaNac") %>:
                            </td>
                            <td style="vertical-align: top;">
                                <%=Utils.DateOpsCombo("$('#cbFilPER_fecha_nac').prop('checked', true);RefreshGridPER();").Replace("cbDateOps", "cbDateOpsFilPER") %>
                            </td>
                            <td>
                                <input type="text" id="txtFilPER_fecha_nac" value="" class="eligeFecha"
                                    onchange="$('#cbFilPER_fecha_nac').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                                <br />
                                <input type="text" id="txtFilPER_fecha_nac2" value="" class="eligeFecha"
                                    onchange="$('#cbFilPER_fecha_nac').prop('checked', true);RefreshGridPER();" style="width: 100px;" />
                            </td>
                        </tr>
                        <tr>
                            <td colspan="4">
                                <table style="width: 100%;">
                                    <tr>
                                        <td style="width: 100%;"></td>
                                        <td>
                                            <button type="button" id="btnBuscarPER" onclick="RefreshGridPER();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/magnifier16.png" alt="<%=L.LBL("LblGENNew") %>" />
                                                        </td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnCrearPER" onclick="$('#dlgPerfilNuevo').dialog('open');">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/document.png" alt="" />
                                                        </td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnAsignarPER" onclick="AsignarPerfil();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/Seven/KardexDel.png" alt="" />
                                                        </td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnQuitarPER" onclick="RemoverPerfil();">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/Seven/Kardex.png" alt="" />
                                                        </td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                        <td>
                                            <button type="button" id="btnSalirPER" onclick="$('#dlgFiltroPER').dialog('close');">
                                                <table>
                                                    <tr>
                                                        <td>
                                                            <img src="img/door-open-in.png" alt="<%=L.LBL("LblGENCancel") %>" /></td>
                                                    </tr>
                                                </table>
                                            </button>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </div>

                <% /* HH */ %>

                <div id="HiddenHive">
                    <div id="hidMonedas">
                        <%=hidMonedas %>
                    </div>
                </div>

                <% /* TIT */ %>

                <table>
                    <tr>
                        <td>
                            <span class="SevenTitulo"><%=L.TIT("HistoricoFolios") %> [2.5]</span>
                        </td>
                        <td>&nbsp;&nbsp;&nbsp;</td>
                        <%--<td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <input type="checkbox" id="cbEliminado" onchange="BotonDefaultV();RefreshGridV();" value="1" /> <%=L.LBL("LblGENShowDeleted") %>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="ImprimirListado();" id="A2" ><img src="img/printer.png" /> <%=L.LBL("LblGENPrint") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>--%>
                        <td>
                            <div class="SevenEnlaces">
                                <table>
                                    <tr>
                                        <td>
                                            <a href="#" onclick="window.open('http://mysevenmanuales.jimdo.com/front-desk/2-5-historico-de-folios/', '_blank');" id="A1">
                                                <img src="img/question.png" />
                                                <%=L.LBL("LblGENHelp") %></a>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </td>
                    </tr>
                </table>

                <% 
           if (CorrectoIns)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_SavedData") %></p>

                <%  } %>

                <% 
           if (CorrectoMod)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_UpdatedData") %></p>

                <%  } %>

                <% 
           if (CorrectoEli)
           {    
                %>

                <p class="SevenMsgExito"><%=L.LBL("LblGENMSG_DeletedData") %></p>

                <%  } %>

                <% 
           if (!String.IsNullOrEmpty(ErrorMsg))
           {    
                %>

                <p class="SevenMsgError"><%=ErrorMsg %></p>

                <%  } %>

                <br />

                <% /* B01 */ %>

                <div id="HFTabs" style="padding: 0px;">
                    <ul>
                        <li>
                            <a href="#Folios">
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/Seven/FDK/HistFolios.png" /></td>
                                        <td><span style="font-size: 8pt;"><%=L.LBL("LblGENFolio") %></span></td>
                                    </tr>
                                </table>
                            </a>
                        </li>
                        <li>
                            <a href="#FoliosExt">
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/Seven/FDK/OpFolios.png" /></td>
                                        <td><span style="font-size: 8pt;"><%=L.LBL("LblFDKFolioExt") %></span></td>
                                    </tr>
                                </table>
                            </a>
                        </li>
                        <li>
                            <a href="#FoliosAgen">
                                <table>
                                    <tr>
                                        <td>
                                            <img src="img/Seven/FDK/FactAgencias.png" /></td>
                                        <td><span style="font-size: 8pt;"><%=L.LBL("LblFDKFolioAgencia") %></span></td>
                                    </tr>
                                </table>
                            </a>
                        </li>
                    </ul>

                    <div id="Folios" style="height: 420px;">

                        <% /* B02 */ %>

                        <div style="width: 100%; text-align: center;">
                            <h3><%=L.LBL("LblFDKHFHistFoliosNotas") %></h3>
                        </div>

                        <table>
                            <tr>
                                <td>
                                    <%=L.LBL("LblGENStart") %>:
                                </td>
                                <td>
                                    <input type="text" id="txtFecIni" class="eligeFecha" value="<%=string.Format("{0:d}", fecha_hotelera) %>" style="width: 80px;" />
                                </td>
                                <td>
                                    <%=L.LBL("LblGENEnd") %>:
                                </td>
                                <td>
                                    <input type="text" id="txtFecFin" class="eligeFecha" value="<%=string.Format("{0:d}", fecha_hotelera) %>" style="width: 80px;" />
                                </td>
                            </tr>
                        </table>

                        <br />

                        <fieldset>
                            <legend><b><%=L.LBL("LblGENOrderBy") %></b></legend>

                            <input type="radio" name="rbOrden" value="0" /><%=L.LBL("LblGENOrigen") %> / <%=L.LBL("LblFDKOFNroFolio") %><br />
                            <input type="radio" name="rbOrden" value="1" /><%=L.LBL("LblFDKOFNroFolio") %><br />
                            <input type="radio" name="rbOrden" value="2" /><%=L.LBL("LblFDKHFMonedaFacturacion") %><br />
                            <input type="radio" name="rbOrden" value="3" /><%=L.LBL("LblGENFormaPago") %><br />
                            <input type="radio" name="rbOrden" value="4" checked="checked" /><%=L.LBL("LblFDKHFDiaActualFormaPago") %><br />
                            <input type="radio" name="rbOrden" value="5" /><%=L.LBL("LblGENNroFact") %><br />
                            <input type="radio" name="rbOrden" value="6" /><%=L.LBL("LblFDKHFNumHabiFETari") %><br />
                            <input type="radio" name="rbOrden" value="7" /><%=L.LBL("LblFDKHFDetallado") %>&nbsp;&nbsp;
                            <input type="checkbox" id="cbAgrupMone" value="1" /><%=L.LBL("LblGENAgrupadoMoneda") %><br /><br />
                            <% if (Debug) { %>
                            <fieldset>
                                <table>
                                    <tr>
                                        <td rowspan="2"><input type="radio" name="rbOrden" value="8" /></td>
                                        <td colspan="4">
                                            <%=L.LBL("LblFDKHFImpuestosD151") %>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td><%=L.LBL("LblGENMoney") %>:</td>
                                        <td>
                                            <%=cbMoneda %>
                                        </td>
                                        <td><%=L.LBL("LblGENTipoCambio") %>:</td>
                                        <td>
                                            <input type="text" id="txtTasa" value="<%=string.Format("{0:N8}", 1) %>" style="width: 100px;" />
                                        </td>
                                    </tr>
                                </table>
                            </fieldset>
                            <br />
                            <% } %>
                        </fieldset>

                        <br />

                        <table>
                            <tr>
                                <td>
                                    <%=L.LBL("LblGENEmpresaContable") %>:
                                </td>
                                <td>
                                    <%=cbACCEmpresa %>
                                </td>
                            </tr>
                        </table>

                        <br />

                        <table style="width: 100%;">
                            <tr>
                                <td colspan="4">
                                    <table style="width: 100%;">
                                        <tr>
                                            <td style="width: 100%;"></td>
                                            <td>
                                                <button type="button" id="btnFiltrar" onclick="$('#dlgFiltro').dialog('open');">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <img src="img/funnel.png" alt="<%=L.LBL("LblGENFiltrar") %>" />
                                                            </td>
                                                            <td><%=L.LBL("LblGENFiltrar") %></td>
                                                        </tr>
                                                    </table>
                                                </button>
                                            </td>
                                            <td>
                                                <button type="button" id="btnInforme" onclick="HistoricoFolios();">
                                                    <table>
                                                        <tr>
                                                            <td>
                                                                <img src="img/printer.png" alt="<%=L.LBL("LblGENPrint") %>" />
                                                            </td>
                                                            <td><%=L.LBL("LblGENPrint") %></td>
                                                        </tr>
                                                    </table>
                                                </button>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                        </table>


                    </div>

                    <div id="FoliosExt" style="height: 420px;">

                        <% /* B03 */ %>

                        <table>
                            <tr>
                                <td>
                                    <%=L.LBL("LblFDKOFNroFolio") %>:
                                </td>
                                <td>
                                    <input type="text" id="txtNroFolioExt" value="" style="width: 100px" onblur="LoadHFE();" />
                                </td>
                                <td>
                                    <button type="button" id="btnCardex" onclick="$('#IdSubElementPERModo').val(0);$('#IdSubElementPERFil').val($('#IdSubElementCARDEX').val());RefreshGridPER();$('#dlgFiltroPER').dialog('open');">
                                        <table style="padding: 0px;">
                                            <tr>
                                                <td>
                                                    <img id="imgKardex01" src="img/Seven/Kardex.png" alt="<%=L.LBL("LblFDKPerfil") %>" />
                                                </td>
                                            </tr>
                                        </table>
                                    </button>
                                </td>
                                <td style="width: 100%" />
                                <td>
                                    <input type="checkbox" id="cbOriginal" value="1" /><%=L.LBL("LblGENOriginal") %>
                                </td>
                                <td>
                                    <input type="checkbox" id="cbNoSum" value="1" /><%=L.LBL("LblFDKHFNoSumarizar") %>
                                </td>
                            </tr>
                        </table>

                        <br />

                        <input type="hidden" id="IdSubElementHFE" value="0" />
                        <input type="hidden" id="IdSubElementCARDEX" value="0" />
                        <table id="jqgHFE"></table>

                    </div>

                    <div id="FoliosAgen" style="height: 420px;">

                        <% /* B04 */ %>

                        <table>
                            <tr>
                                <td>
                                    <%=L.LBL("LblFDKOFNroFolio") %>:
                                </td>
                                <td>
                                    <input type="text" id="txtNroFolioAgen" value="" style="width: 100px" onblur="LoadHFA();" />
                                </td>
                                <td>
                                    <button type="button" id="btnCardex2" onclick="$('#IdSubElementPERModo').val(1);$('#IdSubElementPERFil').val($('#IdSubElementCARDAG').val());RefreshGridPER();$('#dlgFiltroPER').dialog('open');">
                                        <table style="padding: 0px;">
                                            <tr>
                                                <td>
                                                    <img id="imgKardex02" src="img/Seven/Kardex.png" alt="<%=L.LBL("LblFDKPerfil") %>" />
                                                </td>
                                            </tr>
                                        </table>
                                    </button>
                                </td>
                                <td style="width: 100%" />
                                <td>
                                    <input type="checkbox" id="cbOriginalAgen" value="1" /><%=L.LBL("LblGENOriginal") %>
                                </td>
                                <td>
                                    <fieldset>
                                        <legend><%=L.LBL("LblGENMoney") %></legend>

                                        <input type="radio" name="rbMoneda" value="0" checked="checked" /><%=L.LBL("LblGENFactura") %><br />
                                        <input type="radio" name="rbMoneda" value="1" /><%=L.LBL("LblGENMonBase") %><br />
                                    </fieldset>
                                </td>
                            </tr>
                        </table>

                        <br />

                        <input type="hidden" id="IdSubElementHFA" value="0" />
                        <input type="hidden" id="IdSubElementCARDAG" value="0" />
                        <table id="jqgHFA"></table>

                    </div>

                </div>

            </div>

        </div>

    </div>

    <% }
       catch { } %>
</asp:Content>

